<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//define('KEY','AAAAlwr9C0g:APA91bGDvCkePC2E__03Jm6U3Jz8046DyZN4I-NlwisBhxT0GgpesJ1ZXLvdz5EqeR58Q8f0_Af-tpclYU7X1Eo4FHm34nzXUnrifgLoeFDMtjH77FoxvkHICFWQFt04Az5riiDtIalW');
class Register extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		date_default_timezone_set("Asia/Kolkata");
		$this->load->library(array('form_validation'));
		$this->load->library('session');
		//echo 'hii';exit;
		$this->load->helper('url','form','HTML');
		$this->load->library('Notifications');
		$this->is_logged_in();
		$this->load->model('hospitals/registermodel');
		$this->db->query('SET SESSION sql_mode =
                  REPLACE(REPLACE(REPLACE(
                  @@sql_mode,
                  "ONLY_FULL_GROUP_BY,", ""),
                  ",ONLY_FULL_GROUP_BY", ""),
                  "ONLY_FULL_GROUP_BY", "")');
	}

 public function is_logged_in(){
	$is_logged = $this->session->userdata('user_info');
	if(!empty($is_logged)){
        $is_logged_in = $is_logged['is_logged_in'];
    	if(!isset($is_logged_in) || $is_logged_in != TRUE){
    		redirect('hospitals/login', 'refresh');
    	}
	}else{
	    redirect('hospitals/login', 'refresh');
	}
}

/*required_functions*/
public function session_data(){
    $is_logged = $this->session->userdata('user_info');
    return $is_logged['user_id'];
}
/*required_functions*/

/*index*/
public function index(){
	$this->load->view('hospitals/includes/header');
	//$this->load->view('admin/home',$data);
	$this->load->view('hospitals/includes/footer');
}
/*index*/

/*public_relation_agents*/
public function public_relation_agents(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/public_relation_agents');
	$this->load->view('hospitals/includes/footer');
}
public function get_public_relation_agents(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_public_relation_agents($sess_data,$limit,$start,$search);
    
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_public_relation_agents_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_public_relation_agent_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('public_relation_agents',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_public_relation_agent(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_public_relation_agent');
	$this->load->view('hospitals/includes/footer');
}
public function insert_public_relation_agent(){
    $sess_data = $this->session_data();
    $mobile = $this->input->post('mobile');
    $check = $this->registermodel->common_fetch('public_relation_agents',['mobile' => $mobile,'delete_status' => 1]);
    if(!empty($check)){
        echo json_encode(['success' => false, 'message' => 'data inserted already']);
        return;
    }else{
        $config['upload_path']			= 'assets/admin/public_relation_agents/';
    	$config['allowed_types']        = 'jpeg|jpg|png';
    	$config['file_name']            = time();
    	//$config['max_size']             = 2048;
    	//print_r($config);exit;
    	$this->load->library('upload',$config);
    	$this->upload->initialize($config,true);
    	if (!$this->upload->do_upload('image')) {
            // File upload failed
            $error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
        }
        
        // File upload success
        $uploadData = $this->upload->data();
        $photo = 'assets/admin/public_relation_agents/'.$uploadData['file_name'];
    
        $data = [
            'main_data_id'      => $sess_data,
            'name'              => $this->input->post('name'),
            'mobile'            => $this->input->post('mobile'),
            'image'             => $photo,
            'created_on'        => date('Y-m-d H:i:s')
        ];
    
        $insert = $this->registermodel->common_insert('public_relation_agents',$data);
        echo json_encode(['success' => true, 'message' => 'data added successfully']);
        return;
    }
}
public function edit_public_relation_agent($id){
   $data['public_relation_agent'] = $this->registermodel->common_fetch('public_relation_agents',['id' => base64_decode($id)]);
   $this->load->view('hospitals/includes/header');
   $this->load->view('hospitals/edit_public_relation_agent',$data);
   $this->load->view('hospitals/includes/footer');
}
public function edit_public_relation_agent_data($id){
    $image = $this->input->post('image');
	if($_FILES['image']['name']!==""){
		$config['upload_path']			= 'assets/admin/public_relation_agents/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/public_relation_agents/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
		}
	}
	$data = [
	   'name'           => $this->input->post('name'),
	   'image'          => $image,
	   'modified_on'    => date('Y-m-d H:i:s')
	];
    $update 	= $this->registermodel->common_update('public_relation_agents',$data,['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function delete_public_relation_agent(){
    $id = $this->input->post('id');
    $fetch = $this->registermodel->common_fetch('public_relation_agents',['id' => $id]);
    unlink($fetch[0]['image']);
    $this->registermodel->common_update('public_relation_agents',['delete_status' => 0],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data deleted successfully']);
    return;
}
/*public_relation_agents*/

/*ambulances*/
public function ambulances(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/ambulances');
	$this->load->view('hospitals/includes/footer');
}
public function get_ambulances(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_ambulances($sess_data,$limit,$start,$search);
    
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_ambulances_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_ambulance_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('ambulances',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_ambulance(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_ambulance');
	$this->load->view('hospitals/includes/footer');
}
public function insert_ambulance(){
    $sess_data = $this->session_data();
    $mobile = $this->input->post('mobile');
    $reg_number = $this->input->post('reg_number');
    $check_mobile = $this->registermodel->common_fetch('ambulances',['mobile' => $mobile,'delete_status' => 1]);
    $check_reg_number = $this->registermodel->common_fetch('ambulances',['reg_number' => $reg_number,'delete_status' => 1]);
    if(!empty($check_mobile)||!empty($check_reg_number)){
        echo json_encode(['success' => false, 'message' => 'mobile or reg number inserted already']);
        return;
    }else{
        $config['upload_path']			= 'assets/admin/ambulances/';
    	$config['allowed_types']        = 'jpeg|jpg|png';
    	$config['file_name']            = time();
    	//$config['max_size']             = 2048;
    	//print_r($config);exit;
    	$this->load->library('upload',$config);
    	$this->upload->initialize($config,true);
    	if (!$this->upload->do_upload('image')) {
            // File upload failed
            $error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
        }
        
        // File upload success
        $uploadData = $this->upload->data();
        $photo = 'assets/admin/ambulances/'.$uploadData['file_name'];
    
        $data = [
            'main_data_id'      => $sess_data,
            'name'              => $this->input->post('name'),
            'reg_number'        => $this->input->post('reg_number'),
            'mobile'            => $this->input->post('mobile'),
            'image'             => $photo,
            'created_on'        => date('Y-m-d H:i:s')
        ];
    
        $insert = $this->registermodel->common_insert('ambulances',$data);
        echo json_encode(['success' => true, 'message' => 'data added successfully']);
        return;
    }
}
public function edit_ambulance($id){
   $data['ambulance'] = $this->registermodel->common_fetch('ambulances',['id' => base64_decode($id)]);
   $this->load->view('hospitals/includes/header');
   $this->load->view('hospitals/edit_ambulance',$data);
   $this->load->view('hospitals/includes/footer');
}
public function edit_ambulance_data($id){
    $image = $this->input->post('image');
	if($_FILES['image']['name']!==""){
		$config['upload_path']			= 'assets/admin/ambulances/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/ambulances/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
		}
	}
	$data = [
	   'name'           => $this->input->post('name'),
	   'reg_number'     => $this->input->post('reg_number'),
	   'image'          => $image,
	   'modified_on'    => date('Y-m-d H:i:s')
	];
	// Check if the category is inserted already
    $reg_number = $this->input->post('reg_number');
    $check_with_same_name = $this->registermodel->common_fetch('ambulances', ['reg_number' => $reg_number,'id!=' => $id,'delete_status' => 1]);

    if ($check_with_same_name) {
        echo json_encode(['success' => false, 'message' => 'data added already']);
        return;
    }
    $update 	= $this->registermodel->common_update('ambulances',$data,['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function delete_ambulance(){
    $id = $this->input->post('id');
    $fetch = $this->registermodel->common_fetch('ambulances',['id' => $id]);
    unlink($fetch[0]['image']);
    $this->registermodel->common_update('ambulances',['delete_status' => 0],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data deleted successfully']);
    return;
}
/*ambulances*/

/*doctors*/
public function doctors(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/doctors');
	$this->load->view('hospitals/includes/footer');
}
public function get_doctors(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_doctors($sess_data,$limit,$start,$search);
    //echo $this->db->last_query();exit;
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_doctors_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_doctor_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('doctors',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_doctor(){
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);
    $data['specialities'] = $this->registermodel->common_fetch('specialities',['cat_id' => $main_data[0]['cat_id'],'status' => 1,'delete_status' => 1]);
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_doctor',$data);
	$this->load->view('hospitals/includes/footer');
}
public function insert_doctor(){
    $sess_data = $this->session_data();
    
    $config['upload_path']			= 'assets/admin/doctors/';
	$config['allowed_types']        = 'jpeg|jpg|png';
	$config['file_name']            = time();
	//$config['max_size']             = 2048;
	//print_r($config);exit;
	$this->load->library('upload',$config);
	$this->upload->initialize($config,true);
	if (!$this->upload->do_upload('image')) {
        // File upload failed
        $error = $this->upload->display_errors();
        echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
        return;
    }
    
    // File upload success
    $uploadData = $this->upload->data();
    $photo = 'assets/admin/doctors/'.$uploadData['file_name'];
    $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);
    $data = [
        'main_data_id'      => $sess_data,
        'cat_id'            => $main_data[0]['cat_id'],
        'sub_cat_id'        => $main_data[0]['sub_cat_id'],
        'sub_sub_cat_id'    => $main_data[0]['sub_sub_cat_id'],
        'speciality_id'     => $this->input->post('speciality_id'),
        'name'              => $this->input->post('name'),
        'image'             => $photo,
        'qualification'     => $this->input->post('qualification'),
        'specialization'    => $this->input->post('specialization'),
        'exp'               => $this->input->post('exp'),
        'description'       => $this->input->post('description'),
        'fee'               => $this->input->post('fee'),
        'consult_type'      => $this->input->post('consult_type'),
        'created_on'        => date('Y-m-d H:i:s')
    ];

    $insert     = $this->registermodel->common_insert('doctors',$data);
    $uniq       = sprintf('%04d',$insert);
    $unique_id  = 'EMP_'.$uniq;
    $update = $this->registermodel->common_update('doctors',['unique_id' => $unique_id],['id' => $insert]);
    echo json_encode(['success' => true, 'message' => 'data added successfully']);
    return;
}
public function edit_doctor($id){
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);
    $data['specialities'] = $this->registermodel->common_fetch('specialities',['cat_id' => $main_data[0]['cat_id'],'status' => 1,'delete_status' => 1]);
    $data['doctor'] = $this->registermodel->common_fetch('doctors',['id' => base64_decode($id)]);
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/edit_doctor',$data);
	$this->load->view('hospitals/includes/footer');
}
public function edit_doctor_data($id){
    $image = $this->input->post('image');
	if($_FILES['image']['name']!==""){
		$config['upload_path']			= 'assets/admin/doctors/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/doctors/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
		}
	}
	$data = [
	   'name'              => $this->input->post('name'),
       'image'             => $image,
       'qualification'     => $this->input->post('qualification'),
       'specialization'    => $this->input->post('specialization'),
       'exp'               => $this->input->post('exp'),
       'description'       => $this->input->post('description'),
       'fee'               => $this->input->post('fee'),
       'consult_type'      => $this->input->post('consult_type'),
	   'modified_on'    => date('Y-m-d H:i:s')
	];
	
    $update 	= $this->registermodel->common_update('doctors',$data,['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function delete_doctor(){
    $id = $this->input->post('id');
    $fetch = $this->registermodel->common_fetch('doctors',['id' => $id]);
    unlink($fetch[0]['image']);
    $this->registermodel->common_update('doctors',['delete_status' => 0],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data deleted successfully']);
    return;
}
/*doctors*/

/*doctor_slots*/
public function slots(){
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);

    $dates = [];
    $year = date('Y'); // Get current year
    $month = date('m'); // Get current month

    // Get total days in the current month
    $total_days = date('t', strtotime("$year-$month-01"));

    // Loop through all days and format them
    for ($day = 1; $day <= $total_days; $day++) {
        $date = sprintf("%04d-%02d-%02d", $year, $month, $day); // YYYY-MM-DD format
        $formatted_date = date('D M Y', strtotime($date)); // e.g., "01 Mar 2025"

        $dates[] = [
            'date' => $date,
            'formatted_date' => $formatted_date
        ];
    }
    
    $slotss = $this->generate_time_slots($main_data[0]['open_time'], $main_data[0]['close_time']);

    // Add "time" param in each slot
    $formatted_slots = [];
    foreach ($slotss as $session => $times) {
        foreach ($times as $time) {
            $formatted_slots[$session][] = [
                'time' => $time // Adding time param
            ];
        }
    }
    
    $final['dates'] = $dates;
    $final['slots'] = $slotss;
    
    return $final['slots'];
}
public function generate_time_slots($open_time, $close_time, $interval = 10){
    $slots = [
        'morning' => [],
        'afternoon' => [],
        'evening' => []
    ];

    $start_time = strtotime($open_time);
    $end_time = strtotime($close_time);

    while ($start_time <= $end_time) {
        $slot = date('h:i A', $start_time); // 07:00 AM
        $hour = (int)date('H', $start_time); // Get hour in 24-hour format

        // Categorize into sessions
        if ($hour >= 5 && $hour < 12) {
            $slots['morning'][] = ['time' => $slot];
        } elseif ($hour >= 12 && $hour < 17) {
            $slots['afternoon'][] = ['time' => $slot];
        } elseif ($hour >= 17 && $hour < 21) { // Evening slot (5 PM to 9 PM)
            $slots['evening'][] = ['time' => $slot];
        }

        $start_time = strtotime("+{$interval} minutes", $start_time);
    }

    // Ensure empty arrays are returned if no slots exist
    return [
        'morning'   => !empty($slots['morning']) ? $slots['morning'] : [],
        'afternoon' => !empty($slots['afternoon']) ? $slots['afternoon'] : [],
        'evening'   => !empty($slots['evening']) ? $slots['evening'] : []
    ];
}
public function doctor_slots(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/doctor_slots');
	$this->load->view('hospitals/includes/footer');
}
public function get_doctor_slots(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_doctor_slots($sess_data,$limit,$start,$search);
    //echo $this->db->last_query();exit;
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_doctor_slots_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_doctor_slot_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('doctor_slots',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_doctor_slots(){
    $sess_data = $this->session_data();
    $data['doctors'] = $this->registermodel->common_fetch('doctors',['main_data_id' => $sess_data,'status' => 1,'delete_status' => 1]);
    $data['slots'] = $this->slots();
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_doctor_slots',$data);
	$this->load->view('hospitals/includes/footer');
}
public function insert_doctor_slots() {
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data', ['id' => $sess_data]);

    $doctor_id = $this->input->post('doctor_id');
    $date = $this->input->post('date');
    $time_slots = $this->input->post('time');

    if (empty($time_slots)) {
        echo json_encode(['success' => false, 'message' => 'Please select at least one slot']);
        return;
    }

    $already_exists = []; // Array to store duplicate slots

    foreach ($time_slots as $times) {
        // Check if the slot already exists
        $existing_slot = $this->registermodel->common_fetch('doctor_slots', [
            'doctor_id' => $doctor_id,
            'date' => date('Y-m-d', strtotime($date)),
            'time' => $times,
            'delete_status' => 1
        ]);

        if (!empty($existing_slot)) {
            $already_exists[] = $times; // Store existing slot
            continue; // Skip insertion for this slot
        }

        // Determine session type
        $session = $this->get_session($times);
        
        $data = [
            'main_data_id'  => $main_data[0]['id'],
            'cat_id'        => $main_data[0]['cat_id'],
            'doctor_id'     => $doctor_id,
            'date'          => date('Y-m-d', strtotime($date)),
            'time'          => $times,
            'session'       => $session,
            'created_on'    => date('Y-m-d H:i:s')
        ];
        
        $this->registermodel->common_insert('doctor_slots', $data);
    }

    if (!empty($already_exists)) {
        echo json_encode(['success' => false, 'message' => 'The following slots are already inserted: ' . implode(', ', $already_exists).' but remaining selected slots are inserted']);
        return;
    }

    echo json_encode(['success' => true, 'message' => 'data added successfully']);
}
public function edit_doctor_slot($id){
    $sess_data = $this->session_data();
    $data['doctors'] = $this->registermodel->common_fetch('doctors',['main_data_id' => $sess_data,'status' => 1,'delete_status' => 1]);
    $data['slots'] = $this->slots();
    $data['doctor_slot'] = $this->registermodel->common_fetch('doctor_slots',['id' => base64_decode($id)]);
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/edit_doctor_slot',$data);
	$this->load->view('hospitals/includes/footer');
}
public function edit_doctor_slot_data() {
    $id = $this->input->post('id');
    $doctor_id = $this->input->post('doctor_id');
    $date = $this->input->post('date');
    $time = $this->input->post('time');
    $status = $this->input->post('status'); // 1 = Add, 0 = Delete
    
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data', ['id' => $sess_data]);

    if ($status == 1) {
        // **INSERT** new slot if it doesn’t exist
        $existing_slot = $this->db->get_where('doctor_slots', [
            'doctor_id' => $doctor_id,
            'date' => $date,
            'time' => $time,
            'delete_status' => 1
        ])->row();

        if (!$existing_slot) {
            $this->db->insert('doctor_slots', [
                'main_data_id'  => $main_data[0]['id'],
                'cat_id'        => $main_data[0]['cat_id'],
                'doctor_id'     => $doctor_id,
                'date'          => $date,
                'time'          => $time,
                'created_on'    => date('Y-m-d H:i:s')
            ]);
            echo json_encode(['success' => true, 'message' => 'data added successfully']);
        } else {
            echo json_encode(['success' => false, 'message' => 'data already inserted']);
        }
    } else {
        // **UPDATE delete_status instead of deleting the record**
            $this->db->where([
                'doctor_id' => $doctor_id,
                'date' => $date,
                'time' => $time
            ])->update('doctor_slots', ['delete_status' => 0]);

        echo json_encode(['success' => false, 'message' => 'data deleted successfully']);
    }
}
private function get_session($times) {
    $hour = date('H', strtotime($times));
    if ($hour < 12) {
        return 'morning';
    } elseif ($hour < 18) {
        return 'afternoon';
    } else {
        return 'evening';
    }
}
/*doctor_slots*/

/*pharmacy*/
public function pharmacy(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/pharmacy');
	$this->load->view('hospitals/includes/footer');
}
public function get_pharmacy(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_pharmacy($sess_data,$limit,$start,$search);
    //echo $this->db->last_query();exit;
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_pharmacy_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
/*pharmacy*/



}

?>