<?php 
$uri = $this->uri->segment(3);
$is_logged = $this->session->userdata('user_info');
$main_data = $this->registermodel->common_fetch('main_data',['id' => $is_logged['user_id']]);
?>

<!DOCTYPE html>

<html lang="en" class="light-style layout-navbar-fixed layout-menu-fixed layout-compact" dir="ltr"
  data-theme="theme-default" data-assets-path="<?php echo base_url();?>assets/admin/main/" data-template="vertical-menu-template">

<head>
  <meta charset="utf-8" />
  <meta name="viewport"
    content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

  <title>Dashboard</title>

  <meta name="description" content="" />

  <!-- Favicon -->
  <link rel="icon" type="image/x-icon" href="<?php  echo base_url();?>assets/admin/main/img/favicon/admin_logo.png" />

  <!-- Fonts -->
  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
  <link
    href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&ampdisplay=swap"
    rel="stylesheet" />

  <!-- Icons -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/fonts/fontawesome.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/fonts/tabler-icons.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/fonts/flag-icons.css" />

  <!-- Core CSS -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/css/rtl/core.css" class="template-customizer-core-css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/css/rtl/theme-default.css" class="template-customizer-theme-css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/css/demo.css" />

  <!-- Vendors CSS -->
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/select2/select2.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/tagify/tagify.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/node-waves/node-waves.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/typeahead-js/typeahead.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/datatables-bs5/datatables.bootstrap5.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/datatables-responsive-bs5/responsive.bootstrap5.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/datatables-buttons-bs5/buttons.bootstrap5.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/select2/select2.css" />
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/@form-validation/umd/styles/index.min.css" />
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" href="<?php echo base_url();?>assets/admin/main/vendor/libs/sweetalert2/sweetalert2.css" />

  <!-- Datatables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.min.css">
  <!--<script src="https://code.jquery.com/jquery-3.7.0.js"></script>-->
  <!--<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>-->



  <!-- Page CSS -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <!-- Helpers -->
  <script src="<?php echo base_url();?>assets/admin/main/vendor/js/helpers.js"></script>
  <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
  <!--? Template customizer: To hide customizer set displayCustomizer value false in config.js.  -->
  <script src="<?php echo base_url();?>assets/admin/main/vendor/js/template-customizer.js"></script>
  <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
  <script src="<?php echo base_url();?>assets/admin/main/js/config.js"></script>
  <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script> -->
  <script src="https://unpkg.com/jspdf@latest/dist/jspdf.umd.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.5.3/jspdf.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf-autotable/3.5.6/jspdf.plugin.autotable.min.js"></script>
  
  <!--charts-->
  <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
  <!--charts-->
  
  <!--modals-->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>

  <!--modals-->
  
</head>

<body>
  <!-- Layout wrapper -->
  <div class="layout-wrapper layout-content-navbar">
    <div class="layout-container">
      <!-- Menu -->

      <aside id="layout-menu" class="layout-menu menu-vertical menu bg-menu-theme">
        <div class="app-brand demo">
          <a href="<?php echo base_url('admin/register');?>" class="app-brand-link">
            <span class="app-brand-logo demo">
                <img src="<?php echo base_url();?>assets/admin/admin_logo.png" alt="no img" style="width:35px; height:30px;background-color:#fff;border-radius:50%">
              <!--<svg width="32" height="22" viewBox="0 0 32 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd"
                  d="M0.00172773 0V6.85398C0.00172773 6.85398 -0.133178 9.01207 1.98092 10.8388L13.6912 21.9964L19.7809 21.9181L18.8042 9.88248L16.4951 7.17289L9.23799 0H0.00172773Z"
                  fill="#7367F0" />
                <path opacity="0.06" fill-rule="evenodd" clip-rule="evenodd"
                  d="M7.69824 16.4364L12.5199 3.23696L16.5541 7.25596L7.69824 16.4364Z" fill="#161616" />
                <path opacity="0.06" fill-rule="evenodd" clip-rule="evenodd"
                  d="M8.07751 15.9175L13.9419 4.63989L16.5849 7.28475L8.07751 15.9175Z" fill="#161616" />
                <path fill-rule="evenodd" clip-rule="evenodd"
                  d="M7.77295 16.3566L23.6563 0H32V6.88383C32 6.88383 31.8262 9.17836 30.6591 10.4057L19.7824 22H13.6938L7.77295 16.3566Z"
                  fill="#7367F0" />
              </svg>-->
            </span>
            <span class="app-brand-text demo menu-text fw-bold">Bharosa</span>
          </a>

          <a href="javascript:void(0);" class="layout-menu-toggle menu-link text-large ms-auto">
            <i class="ti menu-toggle-icon d-none d-xl-block ti-sm align-middle"></i>
            <i class="ti ti-x d-block d-xl-none ti-sm align-middle"></i>
          </a>
        </div>

        <div class="menu-inner-shadow"></div>

        <ul class="menu-inner py-1">
          <li class="menu-item <?php if($uri==''){echo 'active';}?>">
            <a href="<?php echo base_url('hospitals/register');?>" class="menu-link">
              <i class="menu-icon tf-icons ti ti-smart-home"></i>
              <div data-i18n="Dashboard">Dashboard</div>
            </a>
          </li>
          
          <li class="menu-item <?php if($uri=='public_relation_agents'||$uri=='add_public_relation_agent'||$uri=='edit_public_relation_agent'||$uri=='ambulances'||$uri=='add_ambulance'||$uri=='edit_ambulance'||$uri=='doctors'||$uri=='add_doctor'||$uri=='edit_doctor'||$uri=='doctor_slots'||$uri=='add_doctor_slots'||$uri=='edit_doctor_slot'){echo 'active';}?>">
            <a href="javascript:void(0);" class="menu-link menu-toggle">
            <i class="menu-icon tf-icons ti ti-cloud-data-connection"></i>
              <div data-i18n="Master Data">Master Data</div>
            </a>
            <ul class="menu-sub">
                <li class="menu-item">
                <a href="<?php echo base_url('hospitals/register/public_relation_agents');?>" class="menu-link">
                  <div style="font-size: 13px!important;" data-i18n="Public Relation Agents">Public Relation Agents</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="<?php echo base_url('hospitals/register/ambulances');?>" class="menu-link">
                  <div style="font-size: 13px!important;" data-i18n="Ambulances">Ambulances</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="<?php echo base_url('hospitals/register/doctors');?>" class="menu-link">
                  <div style="font-size: 13px!important;" data-i18n="Doctors">Doctors</div>
                </a>
              </li>
              <li class="menu-item">
                <a href="<?php echo base_url('hospitals/register/doctor_slots');?>" class="menu-link">
                  <div style="font-size: 13px!important;" data-i18n="Doctor Slots">Doctor Slots</div>
                </a>
              </li>
              <?php 
                if($main_data[0]['pharmacy']=='yes'){ ?>
          
                <li class="menu-item">
                    <a href="<?php echo base_url('hospitals/register/pharmacy');?>" class="menu-link">
                      <div style="font-size: 13px!important;" data-i18n="Pharmacy">Pharmacy</div>
                    </a>
                </li>
            <?php } ?>
            
            <?php 
                if($main_data[0]['diagnostic']=='yes'){ ?>
          
                <li class="menu-item">
                    <a href="<?php echo base_url('hospitals/register/Diagnostic');?>" class="menu-link">
                      <div style="font-size: 13px!important;" data-i18n="Diagnostic">Diagnostic</div>
                    </a>
                </li>
              
            <?php } ?>
            
            </ul>
          </li>
          
          
          
          <ul class="menu-inner py-1">
    
          
          <!--<li class="menu-item <?php if($uri=='main_sub_categories'||$uri=='edit_main_sub_category'||$uri=='product_sub_categories'||$uri=='edit_product_sub_category'){echo 'active';}?>">-->
          <!--  <a href="javascript:void(0);" class="menu-link menu-toggle">-->
          <!--  <i class="menu-icon tf-icons ti ti-cube-plus"></i>-->
          <!--    <div data-i18n="Sub Categories">Sub Categories</div>-->
          <!--  </a>-->
          <!--  <ul class="menu-sub">-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/main_sub_categories');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Main Sub Categories">Main Sub Categories</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/product_sub_categories');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Product Sub Categories">Product Sub Categories</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--  </ul>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='sub_sub_categories'||$uri=='edit_sub_sub_categories'){echo 'active';}?>">-->
          <!--  <a href="<?php echo base_url('admin/register/sub_sub_categories');?>" class="menu-link">-->
          <!--    <i class="menu-icon tf-icons ti ti-cube-send"></i>-->
          <!--    <div data-i18n="Sub Sub Categories">Sub Sub Categories</div>-->
          <!--  </a>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='individual_products'||$uri=='edit_individual_product'){echo 'active';}?>">-->
          <!--  <a href="<?php echo base_url('admin/register/individual_products');?>" class="menu-link">-->
          <!--    <i class="menu-icon tf-icons ti ti-brand-producthunt"></i>-->
          <!--    <div data-i18n="Individual Products">Individual Products</div>-->
          <!--  </a>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='benefits'||$uri=='edit_benefit'||$uri=='govt_schemes'||$uri=='edit_govt_scheme'||$uri=='well_wishers'||$uri=='edit_well_wisher'||$uri=='articles'||$uri=='edit_article'||$uri=='itieup_industries'||$uri=='edit_itieup_industry'||$uri=='testimonals'||$uri=='edit_testimonal'||$uri=='faqs'||$uri=='edit_faq'||$uri=='product_banners'||$uri=='edit_product_banner'||$uri=='users_industry_count'){echo 'active';}?>">-->
          <!--  <a href="javascript:void(0);" class="menu-link menu-toggle">-->
          <!--  <i class="menu-icon tf-icons ti ti-cloud-data-connection"></i>-->
          <!--    <div data-i18n="Main Data">Main Data</div>-->
          <!--  </a>-->
          <!--  <ul class="menu-sub">-->
          <!--      <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/benefits');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Benefits">Benefits</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/govt_schemes');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Government Schemes">Government Schemes</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/well_wishers');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Well Wishers">Well Wishers</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/articles');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Articles">Articles</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/itieup_industries');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Itieup Industries">Itieup Industries</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/testimonals');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Testimonals">Testimonals</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/faqs');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Faqs">Faqs</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/product_banners');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Product Banners">Product Banners</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/users_industry_count');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Users & Industry Count">Users & Industry Count</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--  </ul>-->
          <!--</li>-->

          <!--<li class="menu-item <?php if($uri=='industry_connections'||$uri=='edit_industry_connection'||$uri=='job_search_industry'||$uri=='edit_job_search_industry'||$uri=='machinery_industry'||$uri=='edit_machinery_industry'||$uri=='transport_industry'||$uri=='edit_transport_industry'||$uri=='certification'||$uri=='edit_certification'||$uri=='calibration'||$uri=='edit_calibration'||$uri=='realestate'||$uri=='edit_realestate'||$uri=='ind_structure_layout_developer'||$uri=='edit_ind_structure_layout_developer'||$uri=='franchise'||$uri=='edit_franchise'||$uri=='edit_ind_structure_layout_developer'||$uri=='channel'||$uri=='edit_channel'||$uri=='industry_products'||$uri=='edit_industry_product'){echo 'active';}?>">-->
          <!--  <a href="javascript:void(0);" class="menu-link menu-toggle">-->
          <!--  <i class="menu-icon tf-icons ti ti-database"></i>-->
          <!--    <div data-i18n="Main Categories Data">Main Categories Data</div>-->
          <!--  </a>-->
          <!--  <ul class="menu-sub">-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/industry_connections');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Industry Connections">Industry Connections</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/job_search_industry');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Job Search Industry">Job Search Industry</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/machinery_industry');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Machinery Industry">Machinery Industry</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/transport_industry');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Transport Industry">Transport Industry</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/certification');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Certification">Certification</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/calibration');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Calibration">Calibration</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/realestate');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Industry Real Estate">Industry Real Estate</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/ind_structure_layout_developer');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Industry Structure and Layout Developer">Industry Structure and Layout Developer</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/franchise');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Franchise">Franchise</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/channel');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Channel">Channel</div>-->
          <!--      </a>-->
          <!--    </li>-->
          <!--  </ul>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='notifications'){echo 'active';}?>">-->
          <!--  <a href="<?php echo base_url('admin/register/notifications');?>" class="menu-link">-->
          <!--    <i class="menu-icon tf-icons ti ti-bell"></i>-->
          <!--    <div data-i18n="Notifications">Notifications</div>-->
          <!--  </a>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='job_applications'){echo 'active';}?>">-->
          <!--  <a href="<?php echo base_url('admin/register/job_applications');?>" class="menu-link">-->
          <!--    <i class="menu-icon tf-icons ti ti-file-3d"></i>-->
          <!--    <div data-i18n="Job Applications">Job Applications</div>-->
          <!--  </a>-->
          <!--</li>-->
            
          <!--  <li class="menu-item <?php if($uri=='advertise'){echo 'active';}?>">-->
          <!--  <a href="<?php echo base_url('admin/register/advertise');?>" class="menu-link">-->
          <!--    <i class="menu-icon tf-icons ti ti-brand-twilio"></i>-->
          <!--    <div data-i18n="Advertise With Us">Advertise With Us</div>-->
          <!--  </a>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='contact_us'){echo 'active';}?>">-->
          <!--  <a href="<?php echo base_url('admin/register/contact_us');?>" class="menu-link">-->
          <!--    <i class="menu-icon tf-icons ti ti-phone"></i>-->
          <!--    <div data-i18n="Contact Us">Contact Us</div>-->
          <!--  </a>-->
          <!--</li>-->
          
          <!--<li class="menu-item <?php if($uri=='normal_postings'||$uri=='boost_postings'){echo 'active';}?>">-->
          <!--  <a href="javascript:void(0);" class="menu-link menu-toggle">-->
          <!--    <i class="menu-icon tf-icons ti ti-social"></i>-->
          <!--    <div data-i18n="Social Postings">Social Postings</div>-->
          <!--  </a>-->
          <!--  <ul class="menu-sub">-->
          <!--    <li class="menu-item">-->
          <!--      <a href="<?php echo base_url('admin/register/normal_postings');?>" class="menu-link">-->
          <!--        <div style="font-size: 13px!important;" data-i18n="Normal Postings">Normal Postings</div>-->
          <!--      </a>-->
          <!--    </li>-->
              <!--<li class="menu-item">-->
              <!--  <a href="<?php echo base_url('admin/register/boost_postings');?>" class="menu-link">-->
              <!--    <div style="font-size: 13px!important;" data-i18n="Boost Postings">Boost Postings</div>-->
              <!--  </a>-->
              <!--</li>-->
          <!--  </ul>-->
          <!--</li>-->
         
        </ul>
      </aside>
      <!-- / Menu -->

      <!-- Layout container -->
      <div class="layout-page">
        <!-- Navbar -->

        <nav
          class="layout-navbar container-xxl navbar navbar-expand-xl navbar-detached align-items-center bg-navbar-theme"
          id="layout-navbar">
          <div class="layout-menu-toggle navbar-nav align-items-xl-center me-3 me-xl-0 d-xl-none">
            <a class="nav-item nav-link px-0 me-xl-4" href="javascript:void(0)">
              <i class="ti ti-menu-2 ti-sm"></i>
            </a>
          </div>

          <div class="navbar-nav-right d-flex align-items-center" id="navbar-collapse">
            <!-- Search -->
            
            <!-- /Search -->

            <ul class="navbar-nav flex-row align-items-center ms-auto">

              <!-- Style Switcher -->
              <li class="nav-item dropdown-style-switcher dropdown me-2 me-xl-0">
                <a class="nav-link dropdown-toggle hide-arrow" href="javascript:void(0);" data-bs-toggle="dropdown">
                  <i class="ti ti-md"></i>
                </a>
                <ul class="dropdown-menu dropdown-menu-end dropdown-styles">
                  <li>
                    <a class="dropdown-item" href="javascript:void(0);" data-theme="light">
                      <span class="align-middle"><i class="ti ti-sun me-2"></i>Light</span>
                    </a>
                  </li>
                  <li>
                    <a class="dropdown-item" href="javascript:void(0);" data-theme="dark">
                      <span class="align-middle"><i class="ti ti-moon me-2"></i>Dark</span>
                    </a>
                  </li>
                  <li>
                    <a class="dropdown-item" href="javascript:void(0);" data-theme="system">
                      <span class="align-middle"><i class="ti ti-device-desktop me-2"></i>System</span>
                    </a>
                  </li>
                </ul>
              </li>
              <!-- / Style Switcher-->

           


              <!-- User -->
              
              <li onclick= "return confirm('Are you sure want to logout ?')">
                    <a class="dropdown-item" href="<?php echo base_url('hospitals/login/logout');?>">
                      <i class="ti ti-logout me-2 ti-sm"></i>
                      <span class="align-middle">Log Out</span>
                    </a>
                  </li>
            </ul>
          </div>

          <!-- Search Small Screens -->
          <div class="navbar-search-wrapper search-input-wrapper d-none">

            <input type="text" class="form-control search-input container-xxl border-0" placeholder="Search..."
              aria-label="Search..." />
            <i class="ti ti-x ti-sm search-toggler cursor-pointer"></i>
          </div>
        </nav>
        
<style>
    .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
        background:none!important;
        border:none;
        background: -moz-linear-gradient(top, #585858 0%, #111 100%);
        background: -ms-linear-gradient(top, #585858 0%, #111 100%);
        background: -o-linear-gradient(top, #585858 0%, #111 100%);
    }

div.dataTables_wrapper div.dataTables_length select {
    width: 41%;
    display: inline-block;
}
.dataTables_wrapper .dataTables_paginate .paginate_button{
    padding:0;
}

        </style>

        <!-- / Navbar -->