<?php 
/*echo '<pre>';
print_r($slots);
echo '</pre>';exit;*/
?>

<div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="py-3 mb-4"><span class="text-muted fw-light">Add Doctor Slots</h4>
              
  <div class="row"><div class="col-md-6">
      <div class="card mb-4">
          <form method="post" action="#" id="inputform" enctype="multipart/form-data">
        <div class="card-body">
            
            <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Doctor *</label>
            <select class="form-select" name="doctor_id" required placeholder="Doctor">
                <option value="">Select Doctor</option>
                <?php if(!empty($doctors)){ 
                foreach($doctors as $row){?>
                <option value="<?=$row['id']?>"><?=$row['name']?></option>
                <?php } } ?>
            </select>
          </div>
            
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Date *</label>
            <input
              type="date"
              class="form-control"
              id="dateInput"
              placeholder="Date" name="date" required/>
          </div>
         
          
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Time Slots *</label>
                <div class="mb-3">
                    <strong>Morning</strong><br>
                    <?php foreach($slots['morning'] as $morning){?>
                    <input type="checkbox" name="time[]" value="<?=$morning['time']?>"> <?=$morning['time']?>
                    <?php } ?>
                </div>
                
                <div class="mb-3">
                    <strong>Afternoon</strong><br>
                    <?php foreach($slots['afternoon'] as $afternoon){?>
                    <input type="checkbox" name="time[]" value="<?=$afternoon['time']?>"> <?=$afternoon['time']?>
                    <?php } ?>
                </div>
                
               <div class="mb-3">
                    <strong>Evening</strong><br>
                    <?php foreach($slots['evening'] as $evening){?>
                    <input type="checkbox" name="time[]" value="<?=$evening['time']?>"> <?=$evening['time']?>
                    <?php } ?>
                </div>
          </div>
         
          
        </div>
      </div>
       <button type="button" name="sub" value="sub" class="btn btn-success" id="saveBtn">Submit</button>
      </form>
      <a href="<?=base_url('hospitals/register/doctor_slots')?>"><button type="button" class="btn btn-danger">Cancel</button></a>
    </div></div>
</div>

<script>
    // Set today's date as the minimum selectable date
    document.addEventListener("DOMContentLoaded", function () {
        let today = new Date().toISOString().split('T')[0]; // Format YYYY-MM-DD
        document.getElementById("dateInput").setAttribute("min", today);
    });
</script>

<script>
$(document).ready(function () {
    $('#saveBtn').on('click', function () {
        let isValid = true;

        // Validate required fields
        $('#inputform [required]').each(function () {
            let value = $(this).val(); // Get the value
            if (Array.isArray(value)) {
                value = value.join(''); // Convert array to string
            }
            value = value ? value.toString().trim() : ''; // Convert value to string and trim

            if (value === '') {
                isValid = false;
                $(this).addClass('is-invalid'); // Add error styling
                showToast('Error', `${$(this).attr('placeholder')} is required`, 'error');
            } else {
                $(this).removeClass('is-invalid'); // Remove error styling
                $(this).addClass('is-valid'); // Mark as valid
            }
        });
        

        if (isValid) {
            // If all fields are valid, submit the form
            const form = $('#inputform')[0];
            const formData = new FormData(form);

            $.ajax({
                url: '<?= base_url("hospitals/register/insert_doctor_slots"); ?>', // Your endpoint
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function (response) {
                    const res = JSON.parse(response);
                    if (res.success) {
                        showToast('Success', res.message, 'success');
                        $('#inputform')[0].reset(); // Reset the form
                        $('.form-control').removeClass('is-valid'); // Clear valid states
                    } else {
                        showToast('Error', res.message, 'error');
                    }
                },
                error: function () {
                    showToast('Error', 'An unexpected error occurred.', 'error');
                },
            });
        } else {
            // Scroll to the first invalid field
            $('html, body').animate({
                scrollTop: $('.is-invalid:first').offset().top - 100,
            }, 500);
        }
    });

    // Remove validation feedback on input
    $('#inputform .form-control').on('input change', function () {
        if ($(this).val().trim() !== '') {
            $(this).removeClass('is-invalid').addClass('is-valid');
        } else {
            $(this).removeClass('is-valid').addClass('is-invalid');
        }
    });
});

</script>

<!-- Toastr CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">
<!-- Toastr JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>


<script>
// Show toast using jQuery
function showToast(title, message, type) {
    toastr.options = {
        closeButton: true,
        progressBar: true,
        positionClass: "toast-top-right",
        timeOut: "3000",
    };

    if (type === 'success') {
        toastr.success(message, title);
    } else if (type === 'error') {
        toastr.error(message, title);
    } else if (type === 'info') {
        toastr.info(message, title);
    } else if (type === 'warning') {
        toastr.warning(message, title);
    }
}


</script>
            